Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226532 - Merge Review: vorbis-tools
Summary: Merge Review: vorbis-tools
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michel Alexandre Salim
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:16 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-16 16:43:17 UTC
michel: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 21:16:07 UTC
Fedora Merge Review: vorbis-tools

http://cvs.fedora.redhat.com/viewcvs/devel/vorbis-tools/
Initial Owner: besfahbo@redhat.com

Comment 1 Hans de Goede 2007-11-14 15:15:00 UTC
To all interested reviewers, I've become a vorbis-tools co-maitainer recently and
I would like to push gnome-games through its merge review. I've taken an initial
look and the specfile looks ok. Please review and tell me what needs fixing.


Comment 2 Michel Alexandre Salim 2007-11-14 15:29:54 UTC
Will be able to do the review in a couple of hours. Hans, do you want to
officially assign yourself the bug?

Comment 3 Hans de Goede 2007-11-14 15:41:21 UTC
(In reply to comment #2)
> Will be able to do the review in a couple of hours. Hans, do you want to
> officially assign yourself the bug?

Normal reviews are always assigned to the reviewer, not the one requesting the
review, is this different for merge reviews?


Comment 4 Michel Alexandre Salim 2007-11-14 22:39:52 UTC
Ah, I mean the reporter, but I just realized it cannot be changed.

Comment 5 Michel Alexandre Salim 2007-11-14 22:51:18 UTC
- License field needs updating (should be GPLv2)
- Provides and Obsoletes should probably be versioned

Provides: oldpackagename = $provEVR
Obsoletes: oldpackagename < $obsEVR

- This is probably cosmetic, but rpmlint suggests that the summary should not
end with a period.

Comment 6 Hans de Goede 2007-11-15 08:34:41 UTC
Thanks for the comments sofar, I'm waiting with doing a new revision until
you've done a complete review, so that hopefully I can get everything fixed in
one iteration.



Comment 7 Michel Alexandre Salim 2007-11-15 18:18:12 UTC
Here's the full review; didn't find anything else to fix.

MUST
failed:
• license field accurate

passed:
• rpmlint: OK
• package name: OK
• spec file name: OK
• package guideline-compliant: OK
• license complies with guidelines: OK
• license file not deleted: OK
• spec in US English: OK
• spec legible: OK
• source matches upstream: OK
• builds under >= 1 archs, others excluded: OK
• build dependencies complete: OK
• locales handled using %find_lang, no %{_datadir}/locale: OK
• library -> ldconfig: NA
• relocatable: give reason: NA
• own all directories: OK
• no dupes in %files: OK
• permission: OK
• %clean RPM_BUILD_ROOT: OK
• macros used consistently: OK
• Package contains code: OK
• large docs => -doc: NA
• doc not runtime dependent: NA
• headers in -devel: NA
• static in -static: NA
• if contains *.pc, req pkgconfig: NA
• if libfiles are suffixed, the non-suffixed goes to devel: NA
• devel requires versioned base package: NA
• desktop file uses desktop-file-install: NA
• clean buildroot before install: OK
• filenames UTF-8: OK

SHOULD
failed:
• other subpackages should require versioned base
  Obsoletes/Provides should be versioned as well
• summary ending with period


passed:
• if license text missing, ask upstream to include it: NA
• desc and summary contain translations if available
• package build in mock on all architectures: OK
• package functioned as described: OK
• scriplets are sane: OK
• if main pkg is development-wise, pkgconfig can go in main package: NA
• require package not files: OK

Comment 8 Hans de Goede 2007-11-15 19:03:02 UTC
Ok,

1:1.1.1.svn20070412-5 has just been committed to CVS and is now building, this
fixes:
• license field accurate
• other subpackages should require versioned base
  Obsoletes/Provides should be versioned as well
• summary ending with period



Note You need to log in before you can comment on or make changes to this bug.